Bug 445999 - HP laptop freezes when hwclock run- Fedora 8
HP laptop freezes when hwclock run- Fedora 8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Brian Maly
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-11 08:28 EDT by Sahin Buyrukbilen
Modified: 2009-01-09 02:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sahin Buyrukbilen 2008-05-11 08:28:19 EDT
Description of problem:
I am using Fedora 8 on HP Dv6448us laptop. it has amd-turion 64 processor. the 
problem is the hwclock and the poor performance. 

First I noticed problem at shutdown process. Computer hangs at the "Syncing 
hardware clock to system time" message. I searched around and saw that too many 
people are suffering from this. 

when I try to reach hwclock form console system also hangs and the only 
solution is a reset from power button. 

On the other hand the performance of the system is really poor. Although it has 
2Gb memory, it works like vista having 512Mb memory.

I found that Ubuntu released a patch for this issue. They say that "Certain 
(HP) laptops experience trouble from our port 0x80 I/O delay writes. This patch 
provides for a DMI based switch to the "alternate diagnostic port" 0xed (as 
used by some BIOSes as well) for these."

here is the link of their bug solution: 
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/200057

thank you
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2008-05-19 02:05:52 EDT
Will be fixed soon, in the upcoming 2.6.25 kernel for F8.
Comment 2 Chuck Ebbert 2008-05-23 03:56:09 EDT
You can work around this now by adding:

  io_delay=0xed

in /etc/grub.conf to the boot options for a 2.6.25 kernel.
Comment 3 Sahin Buyrukbilen 2008-05-23 06:14:26 EDT
(In reply to comment #2)
I oculdnt find the kernel 2.6.25 for fedora. is that released or do I have to 
get it from kernel.org?

> You can work around this now by adding:
>   io_delay=0xed
> in /etc/grub.conf to the boot options for a 2.6.25 kernel.

Comment 4 Bug Zapper 2008-11-26 05:40:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:48:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.